/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: ClusterViewManagerConfig.java 1797 2008-05-19 12:12:14Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.controller.common;

import org.ow2.cmi.controller.server.filter.IFilter;
import org.ow2.cmi.extension.rpc.InvocationCallback;

/**
 * @author Loris Bouzonnet
 */
public interface ClusterViewManagerConfig {

    void addInvocationCallback(InvocationCallback invocationCallback);

    void addLocalFilter(IFilter filter);

}
